URL structure
Supported methods and overview
GET- used to retrieve a list of information about third party (i.e. non-Covata) client applications which the currently authenticated Covata user* has approved access to their resources on the Covata Platform.
This method takes no parameters.
Detailed description
This API endpoint retrieves a list of information about third party (i.e. non-Covata) client applications which the currently authenticated Covata user* has approved access to their resources on the Covata Platform. Such a client application could be one that you or your organization is developing, where this application integrates with Covata technologies either using Covata’s API or a Covata SDK.Before any client application can be granted access to a Covata user’s resources, a Covata Platform administrator must first have registered the client application on their Covata Platform.
Supported roles
This API endpoint supports the following Covata user roles (as described in the Covata Platform Administrator’s Guide): The Covata Platform’s resources available to one of these Covata users (above) is determined by the access token passed in the header of requests to this endpoint.Required headers
The appropriate access token as theBearer token:
Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6
Returns
A JSON-formatted response containing an array of elements, each of which contains the following members:-
applications - .
- id - .
- clientId - .
- clientDescription - .
- createdAt - .

